# Third-party Cordova Plugins

Third-party Cordova Plugins are Cordova plugins which provide the possibility of adding native code into JavaScript code. Monaca provides several third-party plugins by default, but you can also import other third-party plugins or your own plugin to Monaca project.

We also provide a way to extend your program using native code. Please refer to [Custom Cordova Plugin](/products_guide/monaca_ide/dependencies/custom_cordova_plugin.md) on how to create and use a native plugin.

The followings are pre-configured third-party Cordova plugins provided by Monaca:

* [Advanced HTTP Plugin](/reference/third_party_phonegap/advanced-http-plugin.md)
* [PhoneGap BarcodeScanner Plugin](/reference/third_party_phonegap/phonegap_plugin_barcodescanner.md)
* [Cordova Custom Config Plugin](/reference/third_party_phonegap/custom_config.md)
* [DatePicker Plugin](/reference/third_party_phonegap/datepicker.md)
* [Share Plugin (Android)](/reference/third_party_phonegap/share.md)
* [WebIntent Plugin (Android)](/reference/third_party_phonegap/webintent.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/reference/third_party_phonegap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
